cdac.medinfo.enums

## Enum EnumClassCode

- java.lang.Object
- - java.lang.Enum<EnumClassCode>
  - - cdac.medinfo.enums.EnumClassCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumClassCode>

      public enum EnumClassCode
      extends java.lang.Enum<EnumClassCode>

  This class specify class codes used in clinical document

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAREGIVER` This constant specifies value representation of Class Code caregiver
    `ECON` This constant specifies value representation of Class Code emergency contact
    `ENC` This constant specifies value representation of Class Code encounter
    `EVN` This constant specifies value representation of Class Code event
    `GUAR` This constant specifies value representation of Class Code guardian
    `MANU` This constant specifies value representation of Class Code manufactured
    `MMAT` This constant specifies value representation of Class Code manufactured material
    `NOK` This constant specifies value representation of Class Code next of kin
    `OBS` This constant specifies value representation of Class Code observation
    `PCPR` This constant specifies value representation of Class Code care provision
    `PLC` This constant specifies value representation of Class Code place
    `PROC` This constant specifies value representation of Class Code procedure
    `ROL` This constant specifies value representation of Class Code role
    `SBADM` This constant specifies value representation of Class Code Substance administrator
    `SDLOC` This constant specifies value representation of Class Code service delivery location

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` This function returns the String value of this enum.
    `static EnumClassCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumClassCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SBADM

          public static final EnumClassCode SBADM

      This constant specifies value representation of Class Code Substance administrator

    - #### OBS

          public static final EnumClassCode OBS

      This constant specifies value representation of Class Code observation

    - #### EVN

          public static final EnumClassCode EVN

      This constant specifies value representation of Class Code event

    - #### ENC

          public static final EnumClassCode ENC

      This constant specifies value representation of Class Code encounter

    - #### PROC

          public static final EnumClassCode PROC

      This constant specifies value representation of Class Code procedure

    - #### ROL

          public static final EnumClassCode ROL

      This constant specifies value representation of Class Code role

    - #### MANU

          public static final EnumClassCode MANU

      This constant specifies value representation of Class Code manufactured

    - #### PCPR

          public static final EnumClassCode PCPR

      This constant specifies value representation of Class Code care provision

    - #### GUAR

          public static final EnumClassCode GUAR

      This constant specifies value representation of Class Code guardian

    - #### SDLOC

          public static final EnumClassCode SDLOC

      This constant specifies value representation of Class Code service delivery location

    - #### PLC

          public static final EnumClassCode PLC

      This constant specifies value representation of Class Code place

    - #### NOK

          public static final EnumClassCode NOK

      This constant specifies value representation of Class Code next of kin

    - #### ECON

          public static final EnumClassCode ECON

      This constant specifies value representation of Class Code emergency contact

    - #### CAREGIVER

          public static final EnumClassCode CAREGIVER

      This constant specifies value representation of Class Code caregiver

    - #### MMAT

          public static final EnumClassCode MMAT

      This constant specifies value representation of Class Code manufactured material

  - ### Method Detail

    - #### values

          public static EnumClassCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumClassCode c : EnumClassCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumClassCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      This function returns the String value of this enum.
      Returns:
        - returns string value of Code Value.